Loading...
Searching...
No Matches
RDKit::CXXBondIterator< Graph, Edge, Iterator > Struct Template Reference

`#include <ROMol.h>`

## Classes

struct | CXXBondIter

## Public Member Functions

| CXXBondIterator (Graph *graph)
| CXXBondIterator (Graph *graph, Iterator start, Iterator end)
CXXBondIter | begin ()
CXXBondIter | end ()

## Public Attributes

Graph * | graph
Iterator | vstart
Iterator | vend

## Detailed Description

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>
struct RDKit::CXXBondIterator< Graph, Edge, Iterator >

Definition at line 158 of file ROMol.h.

## Constructor & Destructor Documentation

## CXXBondIterator() [1/2]

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIterator | ( | Graph * | graph | ) |

inline

Definition at line 188 of file ROMol.h.

References graph, vend, and vstart.

## CXXBondIterator() [2/2]

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIterator | ( | Graph * | graph,
|  | Iterator | start,
|  | Iterator | end )

inline

Definition at line 193 of file ROMol.h.

References end(), graph, vend, and vstart.

## Member Function Documentation

## begin()

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

CXXBondIter RDKit::CXXBondIterator< Graph, Edge, Iterator >::begin | ( |  | ) |

inline

Definition at line 195 of file ROMol.h.

References graph, and vstart.

## end()

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

CXXBondIter RDKit::CXXBondIterator< Graph, Edge, Iterator >::end | ( |  | ) |

inline

Definition at line 196 of file ROMol.h.

References graph, and vend.

Referenced by CXXBondIterator().

## Member Data Documentation

## graph

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

Graph* RDKit::CXXBondIterator< Graph, Edge, Iterator >::graph

Definition at line 159 of file ROMol.h.

Referenced by begin(), CXXBondIterator(), CXXBondIterator(), and end().

## vend

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

Iterator RDKit::CXXBondIterator< Graph, Edge, Iterator >::vend

Definition at line 160 of file ROMol.h.

Referenced by CXXBondIterator(), CXXBondIterator(), and end().

## vstart

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

Iterator RDKit::CXXBondIterator< Graph, Edge, Iterator >::vstart

Definition at line 160 of file ROMol.h.

Referenced by begin(), CXXBondIterator(), and CXXBondIterator().

The documentation for this struct was generated from the following file:

- ROMol.h